#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-manuel
Version		:	1.12.4
Release		:	17.0.10.rel%{?dist}
Summary		:	Documentation, a full list of included plug-ins,and examples

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/manuel

Source0		:	%{sname}-%{version}.tar.gz
Patch0		:	%{sname}-%{version}-test.patch

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python3-zope-testing

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Manuel lets you mix and match traditional
doctests with custom test syntax.

Several plug-ins are included that provide
new test syntax (see Included Functionality).
You can also create your own plug-ins.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES.rst README.rst
%license COPYRIGHT.rst
%{python3_sitelib}/%{sname}/doc[1-3].ex
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/*.txt
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/myst-markdown.md
%{python3_sitelib}/%{sname}/myst/*.py
%{python3_sitelib}/%{sname}/myst/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
export PYTHONPATH=$PWD/build/lib
%{__cp} -p src/manuel/myst-markdown.md build/lib/manuel
%{__python}						\
  -m unittest manuel					\
  manuel.tests.test_suite

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
